[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'ComCtrls' (#lcl)

# TTreeNode.Items

Provides indexed access to the child nodes for the current node.

## Declaration

Source position: comctrls.pp line 3163

`public property TTreeNode.Items[ItemIndex: Integer] : TTreeNode read GetItems write SetItems; default;`

## Description

Items is an indexed TTreeNode property which provides access to the child nodes for the current node by their ordinal position. ItemIndex contains the ordinal position for the tree node instance, and must be in the range 0..Items.Count-1. An ETreeNodeError exception is raised if ItemIndex is not in the range needed for the Items property.

Items is the default property for the class instance.

Storing a new value to the indexed property causes the Assign method in the TTreeNode instance to be called to copy the properties values.